spring:
  application:
    name: spring-cloud-consul-sample1
  cloud:
    config:
        enabled: false
#    uri: http://192.168.1.43:8080
    inetutils:
      preferredNetworks:
        - 192.168.1.43
    consul:
#      host: localhost
      host: 192.168.1.43
      port: 8510
      enabled: true
      config:
        enabled: true
        format: YAML
        data-key: configuration
        acl-token:
      discovery:
        enabled: true
        register: true
        tags: service=spring-cloud, services, type=java
        instanceId: ${spring.application.name}:${vcap.application.instance_id:${spring.application.instance_id:${random.value}}}
        serviceName: ${spring.application.name}
        health-check-interval: 5s
        healthCheckPath: /health
        preferIpAddress: true

logging:
  level:
    org.springframework.web.filter.CommonsRequestLoggingFilter: DEBUG   
